%define rbname racc

Summary: Ruby's YACC
#'
Name: ruby-%{rbname}

%global momorel 4

Version: 1.4.3
Release: %{momorel}m
Group: Development/Libraries
URL: http://www.loveruby.net/ja/prog/racc.html
License: LGPL

%NoSource 0 http://www.loveruby.net/archive/%{rbname}/%{rbname}-%{version}.tar.gz 3d8bf221f60d7f09400788b74f1018d8

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
BuildPreReq: ruby

Requires: ruby >= 1.4, ruby-racc-runtime, ruby-strscan >= 0.6.5, ruby-amstd
Obsoletes: racc
Provides: racc
Requires: ruby-racc-runtime

%description
LALR(1) parser generator for Ruby.

%global ruby_libdir %(ruby -rrbconfig -e 'puts Config::CONFIG["rubylibdir"]')
%global ruby_archdir %(ruby -rrbconfig -e 'puts Config::CONFIG["archdir"]')

%prep
%setup -q -n %{rbname}-%{version}

%build
ruby install.rb --quiet config \
	--bin-dir=%{buildroot}%{_bindir} \
	--rb-dir=%{buildroot}%{ruby_libdir} \
	--so-dir=%{buildroot}%{ruby_archdir} \
	--ruby-path=%{_bindir}/ruby
ruby install.rb --quiet setup

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
ruby install.rb --quiet install

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%files
%defattr (-,root,root)
%doc LGPL BUGS.* README.* doc.* sample
%{_bindir}/racc
%{ruby_libdir}/racc/*.rb

%changelog
* Mon Aug 04 2003 Kenta MURATA <muraken2@nifty.com>
- (1.4.3-4m)
- merge from ruby-1_8-branch.

* Fri Aug 01 2003 Kenta MURATA <muraken2@nifty.com>
- (1.4.3-3m)
- rebuild against ruby-1.8.0.

* Mon May 15 2003 OZAWA Sakuro <crouton@momonga-linux.org>
- (1.4.3-2m)
- don't own racc/ directory itself. this directory is owned by ruby(>=1.8) or ruby-shim.

* Tue Apr  1 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.4.3-1m)

* Tue Dec 17 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.4.2-4m)
- 'BuildArch: noarch'

* Wed Nov 13 2002 OZAWA -Crouton- Sakuro <crouton@momonga-linux.org>
- (1.4.2-3m)
- now depends on ruby-racc-runtime, which is provided by ruby-shim or ruby(>=1.7)
- use non-all archive.
- use rbconfig.
- more quiet.

* Mon Mar 11 2002 Kazuhiko <kazuhiko@kondara.org>
- (1.4.2-2k)
- apply a temporary patch to fix a problem in setup.rb

* Tue Jan  8 2002 Kazuhiko <kazuhiko@kondara.org>
- (1.4.1-6k)
- revise Source URI

* Mon Dec 10 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- (1.4.1-4k)
- fix requires

* Sun Dec  9 2001 Toru Hoshina <t@kondara.org>
- (1.4.1-2k)
- version up. bug fix.

* Fri Oct 19 2001 Kazuhiko <kazuhiko@kondara.org>
- (1.3.11-2k)
- modify URI

* Sat Apr 7 2001 SAKUMA Junichi <fk5j-skm@asahi-net.or.jp>
- (1.3.9-5k)
- version 1.3.9

* Wed Mar 28 2001 Kenta MURATA <muraken2@nifty.com>
- (1.3.8-3k)
- version 1.3.8

* Thu Feb  1 2001 AYUHANA Tomonori <l@kondara.org>
- (1.3.6-3k)
- version 1.3.6

- (1.3.0-3k)
- version 1.3.0
* Fri Jan 19 2001 Toru Hoshina <toru@df-usa.com>
- (1.3.0-5k)
- revised spec file.

* Fri Dec  8 2000 AYUHANA Tomonori <l@kondara.org>
- (1.3.0-3k)
- version 1.3.0

* Sun Nov 19 2000 AYUHANA Tomonori <l@kondara.org>
- (1.2.4-1k)
- version 1.2.4

* Thu Oct 19 2000 Toru Hoshina <toru@df-usa.com>
- it should be suitable to both ruby 1.4.x and 1.6.x.

* Tue Oct 16 2000 Toru Hoshina <toru@df-usa.com>
- rebuild against ruby 1.6.1.

* Fri Aug 11 2000 AYUHANA Tomonori <l@kondara.org>
- (1.2.1-1k)
- update to 1.2.1
- change name "racc" to "ruby-racc"
- change %setup (symlinks)

* Sat Jun 10 2000 OZAWA -Crouton- Sakuro <crouton@duelists.org>
- Upstream new version.

* Wed Apr 29 2000 Toru Hoshina <t@kondara.org>
- Multi platform support.

* Sat Apr  8 2000 OZAWA -Crouton- Sakuro <crouton@duelists.org>
- First release for Kondara.
